org.apache.ignite.ml.environment.logging

## Class NoOpLogger

- java.lang.Object
- - org.apache.ignite.ml.environment.logging.NoOpLogger

- All Implemented Interfaces:
    MLLogger

      public class NoOpLogger
      extends Object
      implements MLLogger

  MLLogger implementation skipping all logs.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.ignite.ml.environment.logging.MLLogger

      `MLLogger.VerboseLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoOpLogger()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.ignite.ml.environment.logging.NoOpLogger.Factory` | `factory()` Returns NoOpLogger factory.
    `<K,V> IgniteModel<K,V>` | `log(MLLogger.VerboseLevel verboseLevel, IgniteModel<K,V> mdl)` Log model according to toString method.
    `void` | `log(MLLogger.VerboseLevel verboseLevel, String fmtStr, Object... params)` Log line with formatting.
    `Vector` | `log(Vector vector)` Log vector.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoOpLogger

          public NoOpLogger()

  - ### Method Detail

    - #### factory

          public static org.apache.ignite.ml.environment.logging.NoOpLogger.Factory factory()

      Returns NoOpLogger factory.

    - #### log

          public Vector log(Vector vector)

      Log vector.
      Specified by:
        `log` in interface `MLLogger`
      Parameters:
        `vector` - Vector.

    - #### log

          public <K,V> IgniteModel<K,V> log(MLLogger.VerboseLevel verboseLevel,
                                            IgniteModel<K,V> mdl)

      Log model according to toString method.
      Specified by:
        `log` in interface `MLLogger`
      Parameters:
        `verboseLevel` - Verbose level.
        `mdl` - Model.

    - #### log

          public void log(MLLogger.VerboseLevel verboseLevel,
                          String fmtStr,
                          Object... params)

      Log line with formatting.
      Specified by:
        `log` in interface `MLLogger`
      Parameters:
        `verboseLevel` - Verbose level.
        `fmtStr` - Format string.
        `params` - Params.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022